tbb::interface6::internal::filter_node_join Class Reference

Node in parse tree representing join of two filters. More...

`#include <pipeline.h>`

Inheritance diagram for tbb::interface6::internal::filter_node_join:
Collaboration diagram for tbb::interface6::internal::filter_node_join:

## Public Member Functions

| filter_node_join (filter_node &x, filter_node &y)
Public Member Functions inherited from tbb::interface6::internal::filter_node
void | add_ref ()
| Increment reference count. More...
void | remove_ref ()
| Decrement reference count and delete if it becomes zero. More...
virtual | ~filter_node ()

## Private Member Functions

| ~filter_node_join ()
void | add_to (pipeline &p) __TBB_override
| Add concrete_filter to pipeline. More...

## Private Attributes

filter_node & | left
filter_node & | right

## Friends

class | filter_node

## Additional Inherited Members

Protected Member Functions inherited from tbb::interface6::internal::filter_node
| filter_node ()

## Detailed Description

Node in parse tree representing join of two filters.

Definition at line 563 of file pipeline.h.

## Constructor & Destructor Documentation

## ~filter_node_join()

tbb::interface6::internal::filter_node_join::~filter_node_join | ( |  | ) |

inline private

Definition at line 567 of file pipeline.h.

{
left.remove_ref();
right.remove_ref();
}

References left, tbb::interface6::internal::filter_node::remove_ref(), and right.

Here is the call graph for this function:

## filter_node_join()

tbb::interface6::internal::filter_node_join::filter_node_join | ( | filter_node & | x,
|  | filter_node & | y
| ) |  |

inline

Definition at line 576 of file pipeline.h.

: left(x), right(y) {
left.add_ref();
right.add_ref();
}

References tbb::interface6::internal::filter_node::add_ref(), left, and right.

Here is the call graph for this function:

## Member Function Documentation

## add_to()

void tbb::interface6::internal::filter_node_join::add_to | ( | pipeline & |  | ) |

inline private virtual

Add concrete_filter to pipeline.

Implements tbb::interface6::internal::filter_node.

Definition at line 571 of file pipeline.h.

{
left.add_to(p);
right.add_to(p);
}

References tbb::interface6::internal::filter_node::add_to(), left, p, and right.

Here is the call graph for this function:

## Friends And Related Function Documentation

## filter_node

friend class filter_node

friend

Definition at line 564 of file pipeline.h.

## Member Data Documentation

## left

filter_node& tbb::interface6::internal::filter_node_join::left

private

Definition at line 565 of file pipeline.h.

Referenced by add_to(), filter_node_join(), and ~filter_node_join().

## right

filter_node& tbb::interface6::internal::filter_node_join::right

private

Definition at line 566 of file pipeline.h.

Referenced by add_to(), filter_node_join(), and ~filter_node_join().

The documentation for this class was generated from the following file:

- pipeline.h

tbb::interface6::internal::filter_node_join::left
filter_node & left
Definition: pipeline.h:565
tbb::interface6::internal::filter_node_join::right
filter_node & right
Definition: pipeline.h:566
tbb::interface6::internal::filter_node::add_to
virtual void add_to(pipeline &)=0
Add concrete_filter to pipeline.
tbb::interface6::internal::filter_node::remove_ref
void remove_ref()
Decrement reference count and delete if it becomes zero.
Definition: pipeline.h:537
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91
tbb::interface6::internal::filter_node::add_ref
void add_ref()
Increment reference count.
Definition: pipeline.h:535

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.